
<link rel="stylesheet" href="app/shared/header/modals/signUpModal.css">


<!-- Modal -->
<div class="modal fade" id="signUpModal" role="dialog" >
	<div class="modal-dialog" >
		<!-- Modal content-->
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal">&times;</button>
				<h4>Εγγραφή</h4>
			</div>
			<div class="modal-body" >
				<h5 style="color : red">Τα πεδία με (*) είναι απαραίτητα για την εγγραφή</h5><br>
				
				<form role="form" name="signupForm" novalidate>
					<div class="form-group">
							<label for="signupΝame"><span class="glyphicon glyphicon-user"></span> Όνομα (*)</label>
							<input type="text"  id="signupName"  ng-model="newUser.name"  name="name"  required>
							<span ng-class="signupForm.name.$invalid ? 'ng-invalid' : 'ng-valid'" ng-show="signupForm.name.$invalid && signupForm.name.$dirty">Το πεδίο είναι απαραίτητο</span>
					</div>
					<div class="form-group">
							<label for="signupSurname"><span class="glyphicon glyphicon-user"></span> Επίθετο (*)</label>
							<input type="text"  id="signupSurname"  ng-model="newUser.surname"  name="surname"  required>
							<span ng-class="signupForm.surname.$invalid ? 'ng-invalid' : 'ng-valid'" ng-show="signupForm.surname.$invalid && signupForm.surname.$dirty">Το πεδίο είναι απαραίτητο</span>
					</div>
					<div class="form-group">
						<label for="signupUsername"><span class="glyphicon glyphicon-user"></span> Ψευδόνυμο (*)</label>
						<input type="text"  id="signupUsername" placeholder="π.χ. giannis123" ng-model="newUser.username"  name="username" ng-blur="checkUsername()" required>
						<span ng-class="signupForm.username.$invalid ? 'ng-invalid' : 'ng-valid'" ng-show="signupForm.username.$invalid && signupForm.username.$dirty">Το πεδίο είναι απαραίτητο</span><br>
						<span ng-class="alertUsername(usernamestatus)" >Το ψευδόνυμο που εισαγάγατε υπάρχει ήδη και δεν μπορεί να χρησημοποιηθεί ξανά</span>
					</div>
					<div class="form-group">
						<label for="signupPassword"><span class="glyphicon glyphicon-eye-open"></span> Κωδικός (*)</label>
						<input type="password" id="signupPassword" ng-model="newUser.password" name="password" required>
						<span ng-class="signupForm.password.$invalid ? 'ng-invalid' : 'ng-valid'" ng-show="signupForm.password.$invalid && signupForm.password.$dirty">Το πεδίο είναι απαραίτητο</span>
					</div>
					<div class="form-group">
						<label for="signupPassver"><span class="glyphicon glyphicon-eye-open"></span> Επιβεβαίωση Κωδικού (*)</label>
						<input type="password" id="signupPassver" ng-model="newUser.passver" name="passver" required>
						<span ng-class="signupForm.passver.$invalid ? 'ng-invalid' : 'ng-valid'" ng-show="signupForm.passver.$invalid && signupForm.passver.$dirty">Το πεδίο είναι απαραίτητο</span><br>
						<span ng-class="newUser.passver !== newUser.password ? 'ng-invalid' : 'ng-valid'" ng-show="(newUser.passver !== newUser.password) && signupForm.passver.$dirty">Οι κωδικοί δεν ταιριάζουν</span>
						<span ng-class="newUser.passver !== newUser.password ? 'ng-invalid' : 'ng-valid'" ng-show="(newUser.passver === newUser.password) && signupForm.passver.$dirty && newUser.passver.$valid">Οι κωδικοί ταιριάζουν</span>
					</div>
					<div class="form-group">
						<label for="signupEmail"><span class="glyphicon glyphicon-envelope"></span> Email (*)</label>
						<input type="email" id="signupEmail" ng-model="newUser.email" name="email" ng-blur="checkEmail()" required>
						<span ng-class="signupForm.email.$invalid ? 'ng-invalid' : 'ng-valid'" ng-show="signupForm.email.$error.required && signupForm.email.$dirty">Το πεδίο είναι απαραίτητο</span><br>
						<span ng-class="signupForm.email.$invalid ? 'ng-invalid' : 'ng-valid'" ng-show="signupForm.email.$error.email && signupForm.email.$dirty">Εισάγετε έγκυρη διεύθυνση email</span><br>
						<span ng-class="alertEmail(emailstatus)" >Υπάρχει ήδη λογαριασμός με αυτό το email</span>
					</div>
					<div class="form-group">
						<label for="signupAge"><span class="glyphicon glyphicon-gift"></span> Ημερομηνία Γέννησης (*)</label>
						<input type="date" name="age" max="2000-12-31" ng-model ="newUser.age" required><br>
						<span ng-class="signupForm.age.$invalid ? 'ng-invalid' : 'ng-valid'" ng-show="signupForm.age.$error.required && signupForm.age.$dirty">Το πεδίο είναι απαραίτητο</span><br>
						<span ng-class="signupForm.age.$invalid ? 'ng-invalid' : 'ng-valid'" ng-show="signupForm.age.$error.max && signupForm.age.$dirty"> Πρέπει να είστε άνω των 18 ετών </span>
					</div>
					<div class="form-group">
							<label for="signupSex"><span class="glyphicon glyphicon-user"></span> Φύλο (*)</label>
							<select id="signUpSex" ng-model="newUser.sex"  name="sex"  required>
									<option value="">--Παρακαλώ επιλέξτε--</option>
									<option value="male">Άντρας</option>    
									<option value="female">Γυναίκα</option>
								</select>
							<span ng-class="signupForm.sex.$invalid ? 'ng-invalid' : 'ng-valid'" ng-show="signupForm.sex.$invalid && signupForm.sex.$dirty">Το πεδίο είναι απαραίτητο</span>
					</div>
					<div class="form-group">
						<label for="signupAddress"><span class="glyphicon glyphicon-home"></span> Διεύθυνση Κατοικίας</label>
						<input type="text" id="signupAddress" ng-model="newUser.address">
					</div>
					<div class="checkbox">
						<label><input type="checkbox" name="terms" ng-model="newUser.terms">Συμφωνώ με τους όρους και τις προϋποθέσεις (*)</label>
					</div>
					<button type="submit" class="btn btn-success btn-block" ng-disabled="signupForm.$invalid || !newUser.terms || newUser.passver !== newUser.password" ng-click="add()">Εγγραφή</button>
				</form>
			</div>
		
			<div class="modal-footer">
				<button type="submit" class="btn btn-danger btn-default pull-left" data-dismiss="modal"><span class="glyphicon glyphicon-remove"></span> Ακύρωση</button>
				<div class="pull-right">
					<p>Είστε ήδη μέλος; <button type="button" class="btn btn-info" ng-click="closeSignOpenLog()"style="text-decoration: none;">Σύνδεση</button></p>
				</div>

			</div>
		</div>
	</div>
	
</div> 
 
